<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->
  <title>Associating an XML Schema and Validating XML Files</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
  <meta name="DC.creator" content="" />
  <meta name="DC.date" content="" />
  <link type="text/css" charset="utf-8" href="../help.css" rel="stylesheet" />
</head>

<body>

<h1 id="toc0">Text Link Editor</h1>
        
        <p>A common task in editing XML files is creating links between texts or parts of texts. For this, TextGridLab currently offers support via a versatile link and pointer generator.</p>
        
        <p>In many places in the TextGridLab users can find the items <em>Copy URI</em> and <em>Copy URI Fragment</em> for this. They generate an URI, if necessary including an fragment identifier following the XPointer standard, and copy it to the clipboard.</p>
        
        <p>E.g., a user might want to link to the entry for Aphrodite in a name glossary. The user can select it in the XML editor:</p>
       
        <div>
            <img src="xmleditor-img28.png" id="" class="frameGraphics" alt="Grafik" />
        </div>
       
        <p>The same operation is also available anywhere else in the XML editor, e.g, in the source page or in the outline view:</p>
        
        <div>
            <img src="xmleditor-img29.png" id="" class="frameGraphics" alt="Grafik" />
        </div>
        
        <p>The user can now insert the URI at the position where he wants to link to Aphrodite. The following line would be inserted in this specific case:</p>
        
        <p>textgrid:Goethe-Testprojekt:Namensglossar%3A+Der+junge+Goethe+in+seiner+Zeit:20091023T174552:text%2Fxml:1#xpointer(id('JG79610')/name[1])</p>
        
        <p>The URI consists of two parts: the document URI (before the #) is TextGrid's unique persistent identifier for the document in the editor, the <em>fragment</em> (after the #) indicates the position in the document.</p>
        
        <p>The fragment's syntax follows the <a href="http://www.w3.org/TR/xptr-xpointer/">XPointer standard</a>. The fragment is generated for robustness: </p>
        
        <ol>
            <li>If the element to address has an XML ID, the fragment is simply <em>#id</em></li>
            <li>Otherwise, it is an XPath from the nearest ancestor that has an ID.</li>
        </ol>
        
        <h2 id="toc1">Copy URI fragment: Internal Links</h2>
        
        <p>The <em>Copy URI</em> menu item is accompanied by the <em>Copy URI Fragment</em> command that is useful for internal links inside a document: It copies only the fragment part starting with the # sign to the clipboard. This is useful for internal links in a document that should not contain the document's URI.</p>
        
        <h2 id="toc1">Links outside the XML editor</h2>
        
        <p>The functionality of the link editor is not limited to the XML editor. It is available everywhere where there are TextGrid objects: e.g., in the navigator or the search results view. Applied on whole TextGridObjects, e.g., in the Navigator, users can copy the document's URI. In the search tool's KWIC view, the fragment pointing to the search result's section will be included with the URI.</p>
        
        <div>
            <img src="xmleditor-img30.png" id="" class="frameGraphics" alt="Grafik" />
        </div>

</body>
</html>